## wxNotebookSizer

wxNotebookSizer is a specialized sizer to make sizers work in connection with using notebooks. This sizer is different from any other sizer as you must not add any children to it - instead, it queries the notebook class itself. The only thing this sizer does is to determine the size of the biggest page of the notebook and report an adjusted minimal size to a more toplevel sizer.

For more information, please see Programming with wxNotebookSizer.

Derived from

wxSizer
wxObject

See also

wxSizer, wxNotebook, Sizer overview

Members

wxNotebookSizer::wxNotebookSizer
wxNotebookSizer::GetNotebook

### wxNotebookSizer::wxNotebookSizer

wxNotebookSizer(wxNotebook* notebook)

Constructor. It takes an associated notebook as its only parameter.

### wxNotebookSizer::GetNotebook

wxNotebook* GetNotebook()

Returns the notebook associated with the sizer.